   DIM HexChC$

   DIM iG
   DIM AddrStrG$

   DIM jG
   DIM CodeG

   HexChC$ = "0123456789ABCDEF"

   PRINT "          0 1 2 3 4 5 6 7 8 9 A B C D E F"
   PRINT "          -------------------------------"

   '----- LOOP 1
   FOR iG = 0 TO 15
      '----- Line address (in decimal) and in hexa
      AddrStrG$ = MID$(STR$(iG * 16), 2)
      WHILE LEN(AddrStrG$) < 3:  AddrStrG$ = " " + AddrStrG$:  WEND
      PRINT "("; AddrStrG$; ") ";

      PRINT MID$(HexChC$, iG + 1, 1); "0>";

      '----- LOOP 2
      FOR jG = 0 TO 15
         CodeG = iG * 16 + jG

         PRINT " "; CHR$(CodeG);
      NEXT

      PRINT
   NEXT
